Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class DeviceTypeType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.refdata.DeviceTypeKeyType
          be.fgov.ehealth.dics.protocol.v4.DeviceTypeType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:17:11+02:00",
               comments="JAXB RI v2.3.6")
    public class DeviceTypeType

extends DeviceTypeKeyType
implements Serializable

Java class for DeviceTypeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeviceTypeType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}DeviceTypeKeyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="EdqmCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="EdqmDefinition" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DeviceTypeType()`

Method Summary
`String` | `getEdqmCode()` Gets the value of the edqmCode property.
`String` | `getEdqmDefinition()` Gets the value of the edqmDefinition property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`void` | `setEdqmCode(String value)` Sets the value of the edqmCode property.
`void` | `setEdqmDefinition(String value)` Sets the value of the edqmDefinition property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.DeviceTypeKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceTypeType

    public DeviceTypeType()

Method Detail

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getEdqmCode

    public String getEdqmCode()

  Gets the value of the edqmCode property.

  Returns:
    possible object is `String`

### setEdqmCode

    public void setEdqmCode(String value)

  Sets the value of the edqmCode property.

  Parameters:
    `value` - allowed object is `String`

### getEdqmDefinition

    public String getEdqmDefinition()

  Gets the value of the edqmDefinition property.

  Returns:
    possible object is `String`

### setEdqmDefinition

    public void setEdqmDefinition(String value)

  Sets the value of the edqmDefinition property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.